How to upgrade AWS CLI to latest version?

0 votes

I am currently using AWS CLI of version aws-cli/1.16.16 Python/3.6.0 Windows/10 botocore/1.12.6.  But when i try to upgrade using pip install --upgrade awscli, its giving me "Requirement already up-to-date", though its not the latest version.

So what exactly is the error here?

Dec 28, 2018 in AWS by datageek
• 3,040 points

edited Dec 28, 2018 by datageek 394 views

1 answer to this question.

0 votes
Usually, you will encounter this error if you have installed aws cli using apt-get. So uninstall and install it using pip. Well, this is not an official solution. But it works.
answered Dec 28, 2018 by Archana
• 5,560 points

Related Questions In AWS

0 votes
1 answer

How to download the latest file in a S3 bucket using AWS CLI?

You can use the below command $ aws ...READ MORE

answered Sep 6, 2018 in AWS by Archana
• 4,090 points
3,681 views
+1 vote
3 answers

How to get ARN for s3 Bucket using aws cli .

An ARN is a non-opaque, constructible identifier, ...READ MORE

answered Aug 16, 2018 in AWS by Priyaj
• 56,520 points
1,257 views
0 votes
1 answer
0 votes
1 answer

How to use AWS CLI with Elastic Beanstalk?

You have to create a source bundle ...READ MORE

answered Sep 28, 2018 in AWS by Archana
• 4,090 points
159 views
+1 vote
1 answer

How to make an application private on AWS Elastic Beanstalk?

Like you said by default, your application ...READ MORE

answered Oct 25, 2018 in AWS by Archana
• 5,560 points
37 views